# lib/query.c File Reference

Display tag values from package metadata. More...

`#include "system.h"`
`#include <rpmcli.h>`
`#include <rpmbuild.h>`
`#include "manifest.h"`
`#include "debug.h"`

Go to the source code of this file.

## Defines

#define | PATH_MAX 255

## Functions

void | printFileInfo (char *te, const char *name, unsigned int size, unsigned short mode, unsigned int mtime, unsigned short rdev, unsigned int nlink, const char *owner, const char *group, int uid, int gid, const char *linkto)
const char * | queryHeader (Header h, const char *qfmt)
int | countLinks (int_16 *fileRdevList, int_32 *fileInodeList, int nfiles, int xfile)
int | showQueryPackage (QVA_t qva, rpmdb rpmdb, Header h)
void | printNewSpecfile (Spec spec)
void | rpmDisplayQueryTags (FILE *fp)
int | showMatches (QVA_t qva, rpmdbMatchIterator mi, QVF_t showPackage)
unsigned char | nibble (char c)
| Convert hex to binary nibble.
int | rpmQueryVerify (QVA_t qva, rpmQVSources source, const char *arg, rpmdb rpmdb, QVF_t showPackage)
int | rpmQuery (QVA_t qva, rpmQVSources source, const char *arg)

## Variables

int(* | parseSpecVec )(Spec *specp, const char *specFile, const char *rootdir, const char *buildRoot, int recursing, const char *passPhrase, char *cookie, int anyarch, int force)=NULL
Spec(* | freeSpecVec )(Spec spec)=NULL

## Detailed Description

Display tag values from package metadata.

Definition in file query.c.

## Define Documentation

#define PATH_MAX 255

| Definition at line 10 of file query.c.

## Function Documentation

int countLinks | ( | int_16 * | fileRdevList,
|  | int_32 * | fileInodeList,
|  | int | nfiles,
|  | int | xfile
| ) | `[static]`

| Definition at line 125 of file query.c. References int_16, and int_32. Referenced by showQueryPackage().

unsigned char nibble | ( | char | c | ) | `[inline, static]`

Convert hex to binary nibble.

Parameters:

  c | hex character

Returns:
  binary nibble

Definition at line 555 of file query.c.

Referenced by rpmQueryVerify().

void printFileInfo | ( | char * | te,
|  | const char * | name,
|  | unsigned int | size,
|  | unsigned short | mode,
|  | unsigned int | mtime,
|  | unsigned short | rdev,
|  | unsigned int | nlink,
|  | const char * | owner,
|  | const char * | group,
|  | int | uid,
|  | int | gid,
|  | const char * | linkto
| ) | `[static]`

| Definition at line 26 of file query.c. References _free(), alloca(), rpmPermsString(), and S_ISLNK. Referenced by showQueryPackage().

void printNewSpecfile | ( | Spec | spec | ) | `[static]`

Definition at line 406 of file query.c.

References _, _free(), PackageStruct::header, Header, headerNVR(), headerSprintf(), PackageStruct::next, Package, SpecStruct::packages, RPMBUILD_DEFAULT_LANG, RPMERR_QFMT, rpmError, rpmHeaderFormats, RPMTAG_DESCRIPTION, RPMTAG_GROUP, RPMTAG_SUMMARY, rpmTagTable, SpecStruct::sl, speclines_s::sl_lines, speclines_s::sl_nlines, Spec, speclines, spectag, spectags, SpecStruct::st, spectags_s::st_ntags, spectags_s::st_t, stpcpy(), spectag_s::t_lang, spectag_s::t_msgid, spectag_s::t_nlines, spectag_s::t_startx, spectag_s::t_tag, tagName(), xmalloc(), and xstrdup().

Referenced by rpmQueryVerify().

const char* queryHeader | ( | Header | h,
|  | const char * | qfmt
| ) | `[inline, static]`

| Definition at line 111 of file query.c. References _, Header, headerSprintf(), RPMERR_QFMT, rpmError, rpmHeaderFormats, and rpmTagTable. Referenced by showQueryPackage().